O'Reilly logo

Active Directory Cookbook by Robbie Allen

Stay ahead with the world's most comprehensive technology and business learning platform.

With Safari, you learn the way you learn best. Get unlimited access to videos, live online training, learning paths, books, tutorials, and more.

Start Free Trial

No credit card required

18.10. Replacing NIS

Problem

You want to replace all or part of your NIS infrastructure with Active Directory. NIS serves many of the same functions as Active Directory and you can reduce costs by integrating both infrastructures.

Solution

The Microsoft Services for Unix (SFU) suite provides numerous tools that can aid in integrating your Unix and Windows systems. SFU has a NIS server that can be used as a replacement for existing NIS servers and uses Active Directory as its data store. SFU comes with a set of schema extensions that the NIS server uses to structure the user, group, and host information that NIS clients require. SFU also includes a NFS server and client software if you are trying to interoperate with NFS. All of the SFU software runs on Windows operating systems. More information on SFU can be found on the following site: http://www.microsoft.com/windows/sfu/default.asp.

If you’d rather not use SFU, another option is the NIS/LDAP Gateway from PADL Software (http://www.padl.com/ ). The PADL NIS/LDAP Gateway utilizes the SFU schema extensions to provide NIS services with an Active Directory backend. NIS clients can use the gateway to resolve user, group, and host information and works with SunONE Directory Server as well as Active Directory. The NIS/LDAP Gateway is supported on a host of Unix-based platforms including Solaris, FreeBSD, and Linux.

See Also

LDAP System Administration (O’Reilly), MS KB 324083 (HOW TO: Install Server for NIS on Windows for Unix-to-Windows ...

With Safari, you learn the way you learn best. Get unlimited access to videos, live online training, learning paths, books, interactive tutorials, and more.

Start Free Trial

No credit card required